Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.util
Class TracePersisterImpl

    java.lang.Object
      org.wso2.wsas.util.TracePersisterImpl

All Implemented Interfaces:
  org.wso2.tracer.module.TracePersister

public class TracePersisterImpl
extends java.lang.Object
implements org.wso2.tracer.module.TracePersister

Constructor Summary
`TracePersisterImpl()`

Method Summary
`java.lang.String[]` | `getMessages(java.lang.String serviceId, java.lang.String operationName, long messageSequence)`
`boolean` | `isTracingEnabled()`
`long` | `saveMessage(java.lang.String operationName, java.lang.String serviceName, int flow, org.apache.axiom.soap.SOAPEnvelope env)`
`void` | `saveTraceStatus(java.lang.String onOff)`
`void` | `setMsgContext(org.apache.axis2.context.MessageContext msgContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TracePersisterImpl

    public TracePersisterImpl()

Method Detail

### setMsgContext

    public void setMsgContext(org.apache.axis2.context.MessageContext msgContext)

  Specified by:
    `setMsgContext` in interface `org.wso2.tracer.module.TracePersister`

### isTracingEnabled

    public boolean isTracingEnabled()

  Specified by:
    `isTracingEnabled` in interface `org.wso2.tracer.module.TracePersister`

### saveMessage

    public long saveMessage(java.lang.String operationName,
                            java.lang.String serviceName,
                            int flow,
                            org.apache.axiom.soap.SOAPEnvelope env)

  Specified by:
    `saveMessage` in interface `org.wso2.tracer.module.TracePersister`

### saveTraceStatus

    public void saveTraceStatus(java.lang.String onOff)

  Specified by:
    `saveTraceStatus` in interface `org.wso2.tracer.module.TracePersister`

### getMessages

    public java.lang.String[] getMessages(java.lang.String serviceId,
                                          java.lang.String operationName,
                                          long messageSequence)

  Specified by:
    `getMessages` in interface `org.wso2.tracer.module.TracePersister`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD